#
# spec file for package hex
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hex
Version:        1.11
Release:        1.1
Summary:        Yet Another Hex Dumper
License:        BSD-3-Clause
Group:          Development/Tools/Other
URL:            http://www.catb.org/~esr/hexd/index.html
Source:         http://www.catb.org/~esr/hexd/hexd-1.11.tar.gz
Patch0:         %{name}.diff
BuildRequires:  rubygem(asciidoctor)
Provides:       util-linux:%{_bindir}/hex
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A hex dumper that does CP/M and EBCDIC formatting and has
internationalization support.

%prep
%autosetup -p1 -n hexd-%{version}

%build
make %{?_smp_mflags} clean
make CFLAGS="%{optflags} -Wall" CC="gcc" %{?_smp_mflags}

%install
mkdir -p %{buildroot}{%{_mandir}/man1,%{_bindir}}
make install DESTDIR=%{buildroot} MANDIR=%{_mandir}

%files
%defattr(-,root,root)
%doc README NEWS.adoc
%doc %{_mandir}/man?/*
%{_bindir}/hex

%changelog
* Thu Feb 29 2024 pgajdos@suse.com
- version update to 1.11 [bsc#1220491]
  1.11: 2024-02-07::
    Ship 6 bytes of address ratrher than 4, files run bigger these days.
    Update to modern C style standard.
  1.10: 2019-06-12::
    Name changed to hexd to avoid collision with BSD hexdump.
    License changed to BSD-2-clause.
  1.9: 2015-04-02::
    Administrivial release; Gitorious is dying, project metadata must change.
  1.8: 2012-12-03::
    Use C99 bools.  Code passes cppcheck audit.  Added a regression test.
  1.7: 2010-10-20::
    Code fully ANSIfied. License changed to BSD.  RPM spec removed.
  1.6: 2003-12-29::
    Source RPMs no longer depend on --define myversion
  1.5: 2003-12-26::
    Name changed to 'hexd'.
- deleted patches
  - hex-1.4.diff (renamed)
- added patches
  + hex.diff
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Mon Dec 18 2017 pgajdos@suse.com
- fixed url and source links, explain why not 1.8 until now
* Mon Apr 20 2015 mpluskal@suse.com
- Cleanup spec-file with spec-cleaner
- Use url for source
* Wed Oct 15 2014 jengelh@inai.de
- Enable parallel build and remove ancient specfile tags and sections
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Fri Feb 27 2004 ro@suse.de
- fix non-root build
* Fri Feb 27 2004 hmacht@suse.de
- build as non-root
* Thu Jul 24 2003 mjancar@suse.cz
- update to 1.4
* Fri Feb 14 2003 vbobek@suse.cz
- updated to version 1.3
- fixed overstrike in manpage
* Thu Mar 22 2001 ro@suse.de
- added split-aliases as provides
* Mon Feb  5 2001 kukuk@suse.de
- Initial package, split from util-linux
